{ pkgs-local, lib, pkgs, ... }:
{
  home.packages = lib.mkMerge [
    (with pkgs-local; [
      mioctl
      tal.bassline
      tal.j8
      tal.u-no-lx
      chair-audio.snare
      chair-audio.cymb
      the-usual-suspects.vavra
      the-usual-suspects.nodal-red
      the-usual-suspects.xenia
      the-usual-suspects.ostirus
      the-usual-suspects.osirus
    ])

    (with pkgs; [

      reaper
      # reaper-reapack-extension
      # reaper-sws-extension

      bitwig-studio5-3
      zenity      # needed for bitwigh drivenbymoss extension

      (yabridge.override {
        wine = wineWowPackages.yabridge;
      })
      (yabridgectl.override {
        wine = wineWowPackages.yabridge;
      })

      supercollider-with-plugins
      aubio
      # carla
      tenacity
      renoise

      # Audio plugins (LV2, VST2, VST3, LADSPA)
      eq10q
      geonkick
      bespokesynth
      helm
      surge
      odin2
      calf
      chow-kick
      chow-phaser
      chow-centaur
      chow-tape-model
      easyeffects
      vcv-rack
      cardinal
      roomeqwizard
      guitarix
      vital
      helio-workstation
      stochas
      virtual-ans
    ])
  ];

  xdg.desktopEntries = {
    reaper = {
      name = "Reaper (use this one)";
      exec = "/home/emenel/.local/bin/reaper";
    };
  };

  home.file.".local/share/The Usual Suspects/Vavra" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/vavra;
  };
  home.file.".local/share/The Usual Suspects/Xenia" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/xenia;
  };
  home.file.".local/share/The Usual Suspects/Osirus" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/osirus;
  };
  home.file.".local/share/The Usual Suspects/OsTIrus" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/ostirus;
  };
  home.file.".local/share/The Usual Suspects/NodalRed2x" = {
    recursive = true;
    source = ../../packages/the-usual-suspects/nodal-red;
  };

  home.file.".vst3/yabridge/yabridge.toml".source = ./yabridge/vst3/yabridge.toml;
}
